=== debian/changelog ===
ros-eloquent-rclc-lifecycle (0.1.4-1bionic) bionic; urgency=high

  * Fixed error in bloom release

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 24 Nov 2020 23:00:00 -0000

ros-eloquent-rclc-lifecycle (0.1.3-1bionic) bionic; urgency=high

  * Aligned version number to rclc repository

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Sun, 22 Nov 2020 23:00:00 -0000

ros-eloquent-rclc-lifecycle (0.1.0-1bionic) bionic; urgency=high

  * Initial release

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Sun, 22 Nov 2020 23:00:00 -0000
